Page MenuHomePhabricator

Language and group facets are duplicated when selected
Closed, ResolvedPublic

Description

Screenshot of observed behavior

When a facet is selected on Special:SearchTranslations, it is duplicated in the list. This goes for both language and group.

Steps to reproduce:

  1. Go to https://translatewiki.net/wiki/Special:SearchTranslations
  2. Type "gebruikers" in the search field
  3. Click the button "Search"
  4. Select "Dutch" in the Languages facets.

Observed:
I. Facet "Dutch" displayed twice beneath each other.

Expected:
II. Facet "Dutch" displayed once in bold.

  1. Select "Toolserver Intuition" in Message groups facets.

Observed:
III. Facet "Toolserver Intuition" displayed three times in increasingly smaller fonts.

Expected:
IV. Facet "Toolserver Intuition" displayed once in bold and the sub group displayed once below that in a smaller font.

Screenshot attached of observed incorrect behaviour.


Version: master
Severity: normal
URL: https://translatewiki.net/w/i.php?title=Special:SearchTranslations&query=gebruikers&group=tsint-0-all&grouppath=tsint-0-all&language=nl&uselang=en

Attached:

Details

Reference
bz47919

Event Timeline

bzimport raised the priority of this task from to Normal.
bzimport set Reference to bz47919.
bzimport added a subscriber: Unknown Object (MLST).
siebrand created this task.May 1 2013, 8:19 AM

Still present.

Change 198677 had a related patch set uploaded (by Phoenix303):
Fixed language and group facets duplication

https://gerrit.wikimedia.org/r/198677

Change 198677 abandoned by Phoenix303:
Fixed language and group facets duplication

Reason:
Merged with https://gerrit.wikimedia.org/r/#/c/208589/ for easy review.

https://gerrit.wikimedia.org/r/198677

Change 208589 had a related patch set uploaded (by Nemo bis):
List subgroups after click on group

https://gerrit.wikimedia.org/r/208589

Change 208589 merged by jenkins-bot:
List subgroups after click on group

https://gerrit.wikimedia.org/r/208589

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 18 2015, 4:50 PM
Nemo_bis closed this task as Resolved.Jul 19 2015, 8:00 PM
Nemo_bis assigned this task to Phoenix303.
Nemo_bis added a project: Translation-search.
Nemo_bis set Security to None.

I. Facet "Dutch" displayed twice beneath each other.

Still seen at https://translatewiki.net/w/i.php?title=Special:SearchTranslations&query=gebruikers&language=nl but I'm not sure what version is running; last update was 16.57 -rakkaus:#mediawiki-i18n- [nike] updated dev.translatewiki.net to 7a30212 2015-07-06 17:06:18 (12 days ago)

No longer visible after code update.